(function($) {
  $(document).on('daterange:present', function(event) {
    var self = $(event.target);
    var $checkbox = self.find(".js-present input[type=checkbox]");
    checkboxDaterangeToggle($checkbox, self);
    $checkbox.change(function(e) { checkboxDaterangeToggle($(e.target), self); });

    function checkboxDaterangeToggle($checkbox, self) {
      var $present = self.find('.js-present');
      var $daterangeEndFields = self.find(".js-daterange-end-fields");
      var isEnabler = self.data("daterangeToggler") == "enabler";

      if($checkbox.prop("checked") == isEnabler) {
        $present.removeClass('ongoing');
        $daterangeEndFields.show();
      } else {
        $present.addClass('ongoing');
        $daterangeEndFields.hide();
        clearDependentFields();
      }

      function clearDependentFields() {
        $daterangeEndFields.find('input').val('');
        $daterangeEndFields.find('select').val('');
      }
    }
  });
})(jQuery);
