(function($, ns) {
  var AutocompleterTabs = function(target){

    this.root = target;
    this.addRoleAttributes();

    $('.js-tab-button', this.root).on('click focus', function(e){
      $(this).tab('show');
      e.preventDefault();
      e.stopPropagation();
    });
  };

  AutocompleterTabs.prototype.setFirstActive = function(){
    $('.js-tab-button:first', this.root).tab('show');
  };

  AutocompleterTabs.prototype.addRoleAttributes = function(){
    var root = this.root;
    $('.uc-autocompleter-tabs', root).attr('role', 'tablist');
    $('.uc-autocompleter-tabs .uc-autocompleter-tabs__tab', root).attr('role', 'tab');
    $('.uc-autocompleter-tab-panel', root).attr('role', 'tabpanel');
  };

  ns.AutocompleterTabs = AutocompleterTabs;
})(jQuery, window.undercase);
