(function($, ns) {
  $(document).on('popover:present', function(event) {
    var $trigger = $(event.target);

    var $popoverContent = $(".popover-content", $trigger).remove();

    $trigger.popover({
      html: true,
      content: $popoverContent.html()
    });

    $('body').on('click', function (bodyClickEvent) {
      var clickedElement = bodyClickEvent.target;

      // Don't hide if the trigger or the popover (or any of their children) are clicked
      if (
        !$trigger.is(clickedElement) &&
        !$trigger.has(clickedElement).length &&
        !$(".popover").is(clickedElement) &&
        !$(".popover").has(clickedElement).length
      ) {
        $trigger.popover("hide");
      }
    });
  });
})(jQuery);
