(function($, ns) {
  $(document).on('show-code:present', function(event) {
    var self = $(event.target);

    var codeLink = $(".js-code-link", self);
    var designLink = $(".js-design-link", self);

    var codeSection = $(".js-code-section", self);
    var designSection = $(".js-design-section", self);

    $(".js-pattern-view-modes a", self).click(function(event){
      event.preventDefault();
    });

    $(".js-code-link", self).click(function(event){
      event.preventDefault();

      codeSection.show();
      designSection.hide();

      codeLink.addClass("uf-bc-gray");
      designLink.removeClass("uf-bc-gray");
    });

    $(".js-design-link", self).click(function(event){
      event.preventDefault();

      codeSection.hide();
      designSection.show();

      codeLink.removeClass("uf-bc-gray");
      designLink.addClass("uf-bc-gray");
    });
  });
})(jQuery);
