class DummyFormObject < OpenStruct
  def self.model_name
    OpenStruct.new({
      to_s: "Test Dummy",
      param_key: "test_dummy"
    })
  end

  def self.human_attribute_name(attribute)
    attribute.to_s.titleize
  end

  def errors
    if self.has_errors
      HashWithIndifferentAccess.new(["has an error"])
    else
      HashWithIndifferentAccess.new([])
    end
  end
end

class NameDummyFormObject < DummyFormObject
  SUFFIXES = ["MR", "MRS"]
end
